Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.provision
Class ServiceProvisionEvent

    java.lang.Object
      java.util.EventObject
          net.jini.core.event.RemoteEvent
              org.jini.rio.core.provision.ServiceProvisionEvent

All Implemented Interfaces:
  Serializable

    public class ServiceProvisionEvent

extends RemoteEvent
implements Serializable

This event class is sent by a `ProvisionManager` after detecting that a specific service requires provisioning. The recipient of this event must attempt to instantiate the service described by the `ServiceElement` object.

See Also:
  Serialized Form

Field Summary
`static long` | `ID` Unique Event ID

Fields inherited from class net.jini.core.event.RemoteEvent
`eventID, handback, seqNum, source`

Constructor Summary
`ServiceProvisionEvent(Object source)` Create a ServiceProvisionEvent
`ServiceProvisionEvent(Object source, OperationalStringManager opStringManager, ServiceElement svcElement)` Instantiate a ServiceProvisionEvent

Method Summary
`OperationalStringManager` | `getOperationalStringManager()` Get the OperationalStringManager
`ServiceElement` | `getServiceElement()` Get the ServiceElement object
`void` | `setHandback(MarshalledObject handback)` Set the handback object
`void` | `setOperationalStringManager(OperationalStringManager opStringManager)` Set the OperationalStringManager
`void` | `setSequenceNumber(long seqNum)` Set the sequence number
`void` | `setServiceElement(ServiceElement svcElement)` Set the ServiceElement object

Methods inherited from class net.jini.core.event.RemoteEvent
`getID, getRegistrationObject, getSequenceNumber`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final long ID

  Unique Event ID

  See Also:
    Constant Field Values

Constructor Detail

### ServiceProvisionEvent

    public ServiceProvisionEvent(Object source)

  Create a ServiceProvisionEvent

  Parameters:
    `source` - The event source

### ServiceProvisionEvent

    public ServiceProvisionEvent(Object source,
                                 OperationalStringManager opStringManager,
                                 ServiceElement svcElement)

  Instantiate a ServiceProvisionEvent

  Parameters:
    `source` - The event source
    `opStringManager` - The OperationalStringMonitor
    `svcElement` - The ServiceElement

Method Detail

### setServiceElement

    public void setServiceElement(ServiceElement svcElement)

  Set the ServiceElement object

  Parameters:
    `svcElement` - The ServiceElement

### getServiceElement

    public ServiceElement getServiceElement()

  Get the ServiceElement object

  Returns:
    ServiceElement The ServiceElement

### setOperationalStringManager

    public void setOperationalStringManager(OperationalStringManager opStringManager)

  Set the OperationalStringManager

  Parameters:
    `opStringManager` - The OperationalStringManager

### getOperationalStringManager

    public OperationalStringManager getOperationalStringManager()

  Get the OperationalStringManager

  Returns:
    OperationalStringManager The OperationalStringManager

### setSequenceNumber

    public void setSequenceNumber(long seqNum)

  Set the sequence number

  Parameters:
    `seqNum` - The sequence number

### setHandback

    public void setHandback(MarshalledObject handback)

  Set the handback object

  Parameters:
    `handback` - The handback object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.